aagc.vo

## Class ElencoPAIRequest

- java.lang.Object
- - aagc.vo.ElencoPAIRequest

-     public class ElencoPAIRequest
      extends java.lang.Object

  Classe Java per elencoPAIRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="elencoPAIRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="distretto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizioRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFineRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceStruttura" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceNazionale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFiscale`
    `protected java.lang.String` | `codiceNazionale`
    `protected java.lang.String` | `codiceStruttura`
    `protected java.lang.String` | `dataFineRiferimento`
    `protected java.lang.String` | `dataInizioRiferimento`
    `protected int` | `distretto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoPAIRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `java.lang.String` | `getCodiceNazionale()` Recupera il valore della proprietà codiceNazionale.
    `java.lang.String` | `getCodiceStruttura()` Recupera il valore della proprietà codiceStruttura.
    `java.lang.String` | `getDataFineRiferimento()` Recupera il valore della proprietà dataFineRiferimento.
    `java.lang.String` | `getDataInizioRiferimento()` Recupera il valore della proprietà dataInizioRiferimento.
    `int` | `getDistretto()` Recupera il valore della proprietà distretto.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setCodiceNazionale(java.lang.String value)` Imposta il valore della proprietà codiceNazionale.
    `void` | `setCodiceStruttura(java.lang.String value)` Imposta il valore della proprietà codiceStruttura.
    `void` | `setDataFineRiferimento(java.lang.String value)` Imposta il valore della proprietà dataFineRiferimento.
    `void` | `setDataInizioRiferimento(java.lang.String value)` Imposta il valore della proprietà dataInizioRiferimento.
    `void` | `setDistretto(int value)` Imposta il valore della proprietà distretto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### distretto

          protected int distretto

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### dataInizioRiferimento

          protected java.lang.String dataInizioRiferimento

    - #### dataFineRiferimento

          protected java.lang.String dataFineRiferimento

    - #### codiceStruttura

          protected java.lang.String codiceStruttura

    - #### codiceNazionale

          protected java.lang.String codiceNazionale

  - ### Constructor Detail

    - #### ElencoPAIRequest

          public ElencoPAIRequest()

  - ### Method Detail

    - #### getDistretto

          public int getDistretto()

      Recupera il valore della proprietà distretto.

    - #### setDistretto

          public void setDistretto(int value)

      Imposta il valore della proprietà distretto.

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioRiferimento

          public java.lang.String getDataInizioRiferimento()

      Recupera il valore della proprietà dataInizioRiferimento.
      Returns:
        possible object is `String`

    - #### setDataInizioRiferimento

          public void setDataInizioRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataInizioRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFineRiferimento

          public java.lang.String getDataFineRiferimento()

      Recupera il valore della proprietà dataFineRiferimento.
      Returns:
        possible object is `String`

    - #### setDataFineRiferimento

          public void setDataFineRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataFineRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceStruttura

          public java.lang.String getCodiceStruttura()

      Recupera il valore della proprietà codiceStruttura.
      Returns:
        possible object is `String`

    - #### setCodiceStruttura

          public void setCodiceStruttura(java.lang.String value)

      Imposta il valore della proprietà codiceStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceNazionale

          public java.lang.String getCodiceNazionale()

      Recupera il valore della proprietà codiceNazionale.
      Returns:
        possible object is `String`

    - #### setCodiceNazionale

          public void setCodiceNazionale(java.lang.String value)

      Imposta il valore della proprietà codiceNazionale.
      Parameters:
        `value` - allowed object is `String`